Delete Unsubscribe Email
curl --request DELETE \
--url https://api.lemlist.com/api/unsubscribes/{email} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/unsubscribes/{email}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/unsubscribes/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/unsubscribes/{email}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/unsubscribes/{email}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "uns_QCXCLzEfEuEOlCVIu",
"value": "john.doe@example.com"
}"Bad team""Unsubscribe not found"Legacy
Delete Unsubscribe Email
deprecated
Removes an email address from your unsubscribe list.
DELETE
/
unsubscribes
/
{email}
Delete Unsubscribe Email
This endpoint is legacy. Use Re-subscribe Variable instead.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Email address to remove from the unsubscribes
Was this page helpful?